Subject: [Dime] Strange paragraph in http://tools.ietf.org/html/draft-ietf-dime-rfc3588bis-21

From: Matt Holdrege <[email-masked]>
Date: Fri, 18 Jul 2014 21:25:59 +0200

Hi,

Sorry to butt in with a minor nit, but I noticed that section 2.2 appears
to have mutually exclusive statements.

1. Connections between Diameter peers SHOULD be protected by TLS.
2. The Diameter protocol MUST NOT be used without any security mechanism.

I thought the text in RFC 3588 was ok, minus all the NAS bits? Or maybe say
that the "Diameter protocol must not be used without inclusive or external
transport layer security". Or some such text?

-Matt

---

From: Jouni Korhonen <[email-masked]>
Date: Sat, 19 Jul 2014 00:57:51 +0300

Matt,

RFC3588 has been obsoleted by RFC6733 (i.e. no use to look into 3588bis 
versions).

- Jouni

7/18/2014 10:25 PM, Matt Holdrege kirjoitti:
> Hi,
>
> Sorry to butt in with a minor nit, but I noticed that section 2.2
> appears to have mutually exclusive statements.
>
> I thought the text in RFC 3588 was ok, minus all the NAS bits? Or maybe
> say that the "Diameter protocol must not be used without inclusive or
> external transport layer security". Or some such text?
>
> -Matt
>
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
>

---

From: Matt Holdrege <[email-masked]>
Date: Sat, 19 Jul 2014 10:49:03 +0200

Ouch! Sorry. I guess I wasn't looking in the right place. I see that the
paragraph was fixed anyways.

Thanks,
-Matt